<?php
session_start();
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


// Vérifier si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    header("Location: ../admin.php");
    exit;
}

// Récupérer la structure du questionnaire
$stmt = $pdo->query("SELECT * FROM structure_questionnaire ORDER BY ordre");
$structure = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Générer le fichier JSON
$json = json_encode($structure, JSON_PRETTY_PRINT);

// Définir les en-têtes pour le téléchargement
header('Content-Type: application/json');
header('Content-Disposition: attachment; filename="structure_questionnaire.json"');
header('Expires: 0');
header('Cache-Control: must-revalidate');
header('Pragma: public');
header('Content-Length: ' . strlen($json));

// Envoyer le contenu JSON
echo $json;

// Enregistrer l'action dans l'historique
logQuestionnaireAction($pdo, $_SESSION['user_id'], 'Export', 'Export de la structure du questionnaire');

exit;
?>