<?php
require_once '../includes/db_connect.php';
require_once '../includes/functions.php';

if (!defined('SECURE_ACCESS')) {
    define('SECURE_ACCESS', true);
}
require_once __DIR__ . '/../d8f7g9h3j2k.php';


$section = $_GET['section'] ?? '';

$query = "SELECT id, tag FROM section_tags WHERE active = TRUE";
$params = [];

if ($section) {
    $query .= " AND section = ?";
    $params[] = $section;
}

$query .= " ORDER BY tag";

$stmt = $pdo->prepare($query);
$stmt->execute($params);
$tags = $stmt->fetchAll(PDO::FETCH_ASSOC);

echo json_encode($tags);
?>